package com.clx.performance.dao.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.vehiclewarn.VehicleWarnUserMapper;
import com.clx.performance.model.vehiclewarn.VehicleWarnUser;
import com.clx.performance.param.pc.vehiclewarn.PageVehicleWarnUserParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface VehicleWarnUserDao extends BaseDao<VehicleWarnUserMapper, VehicleWarnUser, Integer> {

    boolean updateUser(VehicleWarnUser item);
    boolean deleteUser(VehicleWarnUser item);
    boolean updateWarnType(VehicleWarnUser item);

    Optional<VehicleWarnUser> findById(Integer id);
    Optional<VehicleWarnUser> findByMobile(String mobile);

    List<VehicleWarnUser> listAllEnable();

    IPage<VehicleWarnUser> pageByParam(PageVehicleWarnUserParam param);

}
